{
  "name": "@ally/federated-types",
  "version": "33.1.1",
  "description": "Types shared between host and remote applications",
  "main": "dist/cjs",
  "module": "dist/esm",
  "author": "Ally Bank",
  "license": "UNLICENSED",
  "files": [
    "dist"
  ],
  "scripts": {
    "build": "yarn build:cjs && yarn build:esm",
    "build:esm": "tsc --outDir dist/esm --module ESNext",
    "build:cjs": "tsc --outDir dist/cjs --module CommonJS",
    "format": "prettier --write \"**/*.{js,jsx,ts,tsx,d.ts,md}\" --ignore-path \"../../.prettierignore\"",
    "lint": "eslint \"src/**/*.{js,jsx,ts,tsx}\""
  },
  "dependencies": {
    "@ally/data-types-host": "^17.1.1",
    "@ally/fido": "^1.0.0",
    "@ally/transmitigator": "^17.0.1",
    "@ally/use-data-domain": "^1.3.2",
    "@ally/which-env": "^4.0.0",
    "@ally/whisper": "^3.0.0",
    "launchdarkly-js-client-sdk": "^2.24.2",
    "query-string": "^7.1.3",
    "react": "^16.13.1",
    "react-router-dom": "^5.2.0"
  },
  "peerDependencies": {
    "@types/react-router-dom": "~5.1.6"
  },
  "publishConfig": {
    "access": "public",
    "registry": "https://nexus.int.ally.com/nexus/repository/npm-hosted/"
  },
  "yalcSig": "2e9c7f218bbe7d4e94891269036e646a"
}
